<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{328BBEC9-F740-463D-B607-4CF218F0AA27}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>Sownloader</RootNamespace>
    <AssemblyName>Sownloader</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Sownloader_App-Logo_120x120.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>false</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>sownloader_certificate.pfx</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <PropertyGroup>
    <SignManifests>true</SignManifests>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestCertificateThumbprint>2166A35B43799CD529C70ACAFA7E68C5D9D07B36</ManifestCertificateThumbprint>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestKeyFile>sownloader_certificate.pfx</ManifestKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DarkControls, Version=1.0.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Ressources\DLL\DarkControls.dll</HintPath>
    </Reference>
    <Reference Include="Geckofx-Core, Version=60.0.13.0, Culture=neutral, PublicKeyToken=3209ac31600d1857, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\packages\Geckofx45.45.0.34\lib\net45\Geckofx-Core.dll</HintPath>
    </Reference>
    <Reference Include="Geckofx-Winforms, Version=60.0.13.0, Culture=neutral, PublicKeyToken=3209ac31600d1857, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\packages\Geckofx45.45.0.34\lib\net45\Geckofx-Winforms.dll</HintPath>
    </Reference>
    <Reference Include="Noesis.Javascript">
      <HintPath>..\Ressources\DLL\Noesis.Javascript.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="taglib-sharp">
      <HintPath>..\..\..\Dokumente\Visual Studio 2017\Projects\Sownloader\dlls\taglib-sharp.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="About.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="About.Designer.cs">
      <DependentUpon>About.cs</DependentUpon>
    </Compile>
    <Compile Include="WebConsole.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="WebConsole.Designer.cs">
      <DependentUpon>WebConsole.cs</DependentUpon>
    </Compile>
    <Compile Include="FileHandler\INIClass.cs" />
    <Compile Include="FileHandler\Logfile.cs" />
    <Compile Include="Converter.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Converter.Designer.cs">
      <DependentUpon>Converter.cs</DependentUpon>
    </Compile>
    <Compile Include="Hilfsklassen.cs" />
    <Compile Include="ID3Tags.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ID3Tags.Designer.cs">
      <DependentUpon>ID3Tags.cs</DependentUpon>
    </Compile>
    <Compile Include="Licenses.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Licenses.Designer.cs">
      <DependentUpon>Licenses.cs</DependentUpon>
    </Compile>
    <Compile Include="Settings.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Settings.Designer.cs">
      <DependentUpon>Settings.cs</DependentUpon>
    </Compile>
    <Compile Include="Sownloader.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Sownloader.Designer.cs">
      <DependentUpon>Sownloader.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="TagEditor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="TagEditor.Designer.cs">
      <DependentUpon>TagEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="UpdateSearch.cs" />
    <Compile Include="UpdateWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UpdateWindow.Designer.cs">
      <DependentUpon>UpdateWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="Welcome.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Welcome.Designer.cs">
      <DependentUpon>Welcome.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="About.resx">
      <DependentUpon>About.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="WebConsole.resx">
      <DependentUpon>WebConsole.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Converter.resx">
      <DependentUpon>Converter.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ID3Tags.resx">
      <DependentUpon>ID3Tags.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Licenses.resx">
      <DependentUpon>Licenses.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Settings.resx">
      <DependentUpon>Settings.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Sownloader.resx">
      <DependentUpon>Sownloader.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="TagEditor.resx">
      <DependentUpon>TagEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UpdateWindow.resx">
      <DependentUpon>UpdateWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Welcome.resx">
      <DependentUpon>Welcome.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="Firefox\omni.ja" />
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <None Include="Resources\update.bat" />
    <None Include="sownloader_certificate.pfx" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Firefox\AccessibleMarshal.dll" />
    <Content Include="Firefox\breakpadinjector.dll" />
    <Content Include="Firefox\d3dcompiler_47.dll" />
    <Content Include="Firefox\freebl3.dll" />
    <Content Include="Firefox\icudt58.dll" />
    <Content Include="Firefox\icuin58.dll" />
    <Content Include="Firefox\icuuc58.dll" />
    <Content Include="Firefox\lgpllibs.dll" />
    <Content Include="Firefox\libEGL.dll" />
    <Content Include="Firefox\libGLESv2.dll" />
    <Content Include="Firefox\mozglue.dll" />
    <Content Include="Firefox\nss3.dll" />
    <Content Include="Firefox\nssckbi.dll" />
    <Content Include="Firefox\nssdbm3.dll" />
    <Content Include="Firefox\plugin-container.exe" />
    <Content Include="Firefox\plugin-hang-ui.exe" />
    <Content Include="Firefox\sandboxbroker.dll" />
    <Content Include="Firefox\softokn3.dll" />
    <Content Include="Firefox\xul.dll" />
    <Content Include="Sownloader_App-Logo_120x120.ico" />
    <None Include="Resources\icon_refresh_ajax.gif" />
    <None Include="Resources\icon_refresh.png" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="..\packages\Geckofx45.45.0.34\build\Geckofx45.targets" Condition="Exists('..\packages\Geckofx45.45.0.34\build\Geckofx45.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>Dieses Projekt verweist auf mindestens ein NuGet-Paket, das auf diesem Computer fehlt. Verwenden Sie die Wiederherstellung von NuGet-Paketen, um die fehlenden Dateien herunterzuladen. Weitere Informationen finden Sie unter "http://go.microsoft.com/fwlink/?LinkID=322105". Die fehlende Datei ist "{0}".</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\Geckofx45.45.0.34\build\Geckofx45.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Geckofx45.45.0.34\build\Geckofx45.targets'))" />
  </Target>
</Project>